Bug 495543 - Extended desktop doesn't function correctly using gnome-display-properties
Extended desktop doesn't function correctly using gnome-display-properties
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 14:53 EDT by Justin Phelps
Modified: 2010-02-27 15:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 08:31:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg Log (218.75 KB, text/plain)
2009-05-06 16:46 EDT, Justin Phelps
no flags Details
Xorg Log Old (88.19 KB, text/plain)
2009-05-06 16:46 EDT, Justin Phelps
no flags Details

  None (edit)
Description Justin Phelps 2009-04-13 14:53:55 EDT
Description of problem:
When using the gnome-display-properties dialog to setup extended desktop, the settings don't seem to apply correctly. I either experience a hard lockup of the computer or a corrupted display that doesn't allow me to go any further. 

How reproducible:
Using the hardware listed in Additional info: 

Steps to Reproduce:
1. Open gnome-display-properties
2. Attempt to set a desktop extending across two monitors.
3. Either experience a corrupted display or a hard lockup.
  
Expected results:
Display setup should fail gracefully and revert back to the default cloned display.

Additional info:
$ lsmod | grep radeon
radeon                476600  2 
drm                   166492  2 radeon
i2c_algo_bit            4836  1 radeon
i2c_core               18056  4 i2c_i801,radeon,drm,i2c_algo_bit

$ cat /etc/X11/xorg.conf
cat: /etc/X11/xorg.conf: No such file or directory

$ yum info xorg-x11-drv-radeonhd
Loaded plugins: refresh-packagekit
Available Packages
Name       : xorg-x11-drv-radeonhd
Arch       : i586
Version    : 1.2.5
Release    : 2.8.20090411git.fc11
Size       : 377 k
Repo       : rawhide
Summary    : Xorg X11 radeonhd driver for AMD GPG r5xx/r6xx Chipsets
URL        : http://www.x.org/
License    : MIT
Description: X.org X11 radeonhd driver for AMD GPG r5xx/r6xx Chipsets.
           : 
           : This package is a snapshot of a work in progress. You may
           : experience regressions, bugs, errors, broken displays, and other
           : undesirable phenomena.
           : 
           : radeonhd mailing list: http://lists.opensuse.org/radeonhd/
           : 
           : Built from git commit: cb54f48b212d5ae54e13bbdf24575b6163798c0d



$ lspci
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub
00:01.0 PCI bridge: Intel Corporation 82945G/GZ/P/PL PCI Express Root Port
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.4 PCI bridge: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5 (rev 01)
00:1c.5 PCI bridge: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 SATA controller: Intel Corporation 82801GR/GH (ICH7 Family) SATA AHCI Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]
01:00.1 Display controller: ATI Technologies Inc RV370 [Radeon X300SE]
05:08.0 Ethernet controller: Intel Corporation 82801G (ICH7 Family) LAN Controller (rev 01)
Comment 1 Matěj Cepl 2009-05-06 16:31:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Justin Phelps 2009-05-06 16:46:15 EDT
Created attachment 342721 [details]
Xorg Log
Comment 3 Justin Phelps 2009-05-06 16:46:41 EDT
Created attachment 342722 [details]
Xorg Log Old
Comment 4 Justin Phelps 2009-05-06 16:46:57 EDT
No xorg.conf is in use.
Comment 5 Justin Phelps 2009-05-06 16:48:45 EDT
Since recent updates, behaviour has improved.

When attempted to extend the desktop, the displays stay cloned now. It seems things have improved with recent updates, but the displays still don't perform as expected.
Comment 6 Hans Ulrich Niedermann 2009-05-07 07:46:00 EDT
No xorg.conf in use and the Xorg.*.log files indicate that the reporter is using the radeon driver from the xorg-x11-drv-ati package.

Reassigning bug to appropriate package.
Comment 7 Bug Zapper 2009-06-09 09:46:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2009-11-05 13:26:26 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Matěj Cepl 2010-02-26 07:25:00 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 10 Justin Phelps 2010-02-26 08:31:02 EST
I am currently running Fedora 12 on the same hardware, and I don't experience this issue. Thank you.

Note You need to log in before you can comment on or make changes to this bug.